Wii disc channel forces system update?

Discussion in 'Wii - Hacking' started by allyv, Apr 23, 2010.

  1. allyv
    OP

    allyv Newbie

    Newcomer
    9
    0
    Apr 23, 2010
    United States
    Hi all, I'm new here and I have a bit of a strange problem.

    I have a 4.2u softmodded wii, although I didn't do the mod myself, so I am not well versed in this. My disc channel, for where the game shows, shows a 'wii system update' and forces an update in order to continue. I would do it, but I don't want to brick my wii. Is there a way around this?

    Thanks in advance.
     


  2. linuxares

    linuxares GBAtemp Addict

    Member
    2,703
    876
    Aug 5, 2007
    GeckoOS, Priiloader and Startpatch.

    Or just install the update it wants. Most likely just a new IOS the game needs. If you have NTSC wii and a its a NTSC game, go for it. It shouldn't make anyharm.
     
  3. allyv
    OP

    allyv Newbie

    Newcomer
    9
    0
    Apr 23, 2010
    United States
    Hm, how certain are you that it would be okay? [​IMG]

    I'm really not sure if those other things you mentioned are on the wii already since I didn't mod it. Been trying to get back to the guy who did it to see if he can fix it, but no luck...
     
  4. Pop006

    Pop006 GBAtemp Regular

    Member
    197
    2
    Aug 11, 2009
    Canada
    You could always install the required wads yourself, through homebrew...
    Which game is it?
     
  5. allyv
    OP

    allyv Newbie

    Newcomer
    9
    0
    Apr 23, 2010
    United States
    It did it once with pikmin for the wii, but had the person fix it (don't know how he did it, he never told me...) and now it's happening with mario kart wii. It's kinda random, since it just happened, and I was playing the game fine before. Not sure if it is with any other games though.

    What wads are these that I can install myself?
     
  6. dysan

    dysan GBAtemp Advanced Fan

    Member
    577
    0
    Jan 31, 2010
    Greece
    it should have priiloader installed...next time you turn on your wii press down the reset button on the wii.
    if a screen comes up, then go to options and select "disable online updates" and "disable disk updates".
    that should do it....while you're there,enable region free games as well [​IMG]
     
  7. allyv
    OP

    allyv Newbie

    Newcomer
    9
    0
    Apr 23, 2010
    United States
    Yeah priiloader is there but I don't see 'options'.

    Either way, I remember him specifically setting this option when this happened the first time. I sat there and watched and he selected that disable online updates, so I am really not sure where this update screen is coming from.

    Would it be safe to update anyway???
     
  8. rip-it-up

    rip-it-up GBAtemp Regular

    Member
    246
    21
    Oct 19, 2009
    manchester
    id just download geko 1.3 if you have the homebrew channel and play games on their until you have spoken to the guy about what your problem is.
    what system menu r you on.
    you should be able to c when you enter wii settings.
    if priloader is installed you probably need the sd card insterted with the hack.ini folder on it
     
  9. Krestent

    Krestent What to post?

    Member
    3,953
    33
    Mar 31, 2009
    United States
    Did you read the first post? He said 4.2U. OP: Just get Gecko OS from Wiibrew.org and use it to load it. "Disable Online Updates" is different from "Disable Disc Updates"
     
  10. dysan

    dysan GBAtemp Advanced Fan

    Member
    577
    0
    Jan 31, 2010
    Greece
    you should have both online and disk updates disabled on the priiloader options.

    either that or do what everyone else has been saying.
     
  11. rip-it-up

    rip-it-up GBAtemp Regular

    Member
    246
    21
    Oct 19, 2009
    manchester
    I Missed the 4.2 part of the post lol
    you might have all the require ios but it might want you to update to the new boot2 like mines does,
    block disc updates, fixed that in priiloader for me.
    im not sure why mario kart is asking for a system update tho (if you have played it before)
     
  12. allyv
    OP

    allyv Newbie

    Newcomer
    9
    0
    Apr 23, 2010
    United States
    Lol, it's she [​IMG]

    Hm, I'm sure he would disable disc updates too, since this was a problem with the pikmin game and he got rid of it then, which is why I am confused that it would happen again. Do I really need Gecko OS though? I'm hoping this may be something simple I can do myself ^^;
     
  13. allyv
    OP

    allyv Newbie

    Newcomer
    9
    0
    Apr 23, 2010
    United States
    Hm, there is no 'options' on the priiloader screen. Could the diasble disc updates be some where else?
     
  14. dysan

    dysan GBAtemp Advanced Fan

    Member
    577
    0
    Jan 31, 2010
    Greece
    yea somewhere there...I think it's somewhere near the end....it's somewhere in the 2nd group of options on the main priiloader screen.just select something and see where it takes you lol
     
  15. linuxares

    linuxares GBAtemp Addict

    Member
    2,703
    876
    Aug 5, 2007
    you might be missing the "hacks.ini" file. Thats why you do not get any options in Priiloader.
     
  16. allyv
    OP

    allyv Newbie

    Newcomer
    9
    0
    Apr 23, 2010
    United States
    there was a 'settings' option but the disable disc was not there. Hm, any idea where I can find the hacks.ini? Maybe that's the problem? Just guessing [​IMG]
     
  17. conanac

    conanac Be an Angel

    Member
    252
    98
    Sep 13, 2009
    United States
  18. damysteryman

    damysteryman I am too busy IRL these days...

    Member
    1,190
    241
    Oct 4, 2007
    Now where I have seen that ready-made hacks.ini before?

    ...oh yeah, that's the one da_letter_a made.
     
  19. allyv
    OP

    allyv Newbie

    Newcomer
    9
    0
    Apr 23, 2010
    United States

    Hi all, haven't been able to try this again till now due to life responsibilities. Sorry for having to take such a long break though.

    I actually just checked and I do have a hacks.ini on my drive. I should probably note that I am using a USB flash drive, not sure if that makes a difference (SD card slot on computer doesn't work). Also, I pressed the 'system menu hacks' and it gave me a syntax error and then said it could not find the hacks.ini, even though it is there. :/

    Not sure if I am doing anything wrong. I wish this could be an easy fix! DX
     
  20. linuxares

    linuxares GBAtemp Addict

    Member
    2,703
    876
    Aug 5, 2007
    Run the update then [​IMG]